#include "img_dbg.hpp"
#include <sstream>
#include <string>

std::ostream& operator<<(std::ostream& os, const img_fmt& f){
  os <<f.width()<<' '<<f.height() <<' ' <<f.szPixel()
     <<" " <<f.type();
  return os;
}

std::string img_dbg(const img_fmt& f, 
  char const* prolog, char const* epilog)
{
  std::ostringstream oss;
  oss <<prolog <<"("
      <<f.width()<<'x'<<f.height() <<'x' <<f.szPixel() 
      <<")" <<epilog;
  return oss.str();
}

