#ifndef img_vectorAbstract_hpp
#define img_vectorAbstract_hpp

/******************************************************
*
** img_vectorAbstract by Sinisa Segvic:
*
** an abstract (protocol) class:
** a collection of img_wrap-s
*
*******************************************************/

class img_wrap;

class img_vectorAbstract{
public:
  virtual ~img_vectorAbstract(){}
public:
  virtual void clear() =0;
  virtual void push(const img_wrap& e) =0;
  virtual int size() const =0;
  virtual const img_wrap& operator[](int i)  const =0;
};

#endif

